package fi.jumi.core.events.runListener;

import fi.jumi.actors.eventizers.Event;
import fi.jumi.actors.queue.MessageSender;
import fi.jumi.api.drivers.TestId;
import fi.jumi.core.runs.RunId;
import fi.jumi.core.runs.RunListener;

public class RunListenerToEvent implements RunListener {

    private final MessageSender<Event<RunListener>> sender;

    public RunListenerToEvent(MessageSender<Event<RunListener>> sender) {
        this.sender = sender;
    }

    public void onFailure(RunId arg0, TestId arg1, Throwable arg2) {
        sender.send(new OnFailureEvent(arg0, arg1, arg2));
    }

    public void onPrintedErr(RunId arg0, String arg1) {
        sender.send(new OnPrintedErrEvent(arg0, arg1));
    }

    public void onPrintedOut(RunId arg0, String arg1) {
        sender.send(new OnPrintedOutEvent(arg0, arg1));
    }

    public void onRunFinished(RunId arg0) {
        sender.send(new OnRunFinishedEvent(arg0));
    }

    public void onRunStarted(RunId arg0) {
        sender.send(new OnRunStartedEvent(arg0));
    }

    public void onTestFinished(RunId arg0, TestId arg1) {
        sender.send(new OnTestFinishedEvent(arg0, arg1));
    }

    public void onTestFound(TestId arg0, String arg1) {
        sender.send(new OnTestFoundEvent(arg0, arg1));
    }

    public void onTestStarted(RunId arg0, TestId arg1) {
        sender.send(new OnTestStartedEvent(arg0, arg1));
    }
}
